/*
 * dummy to require ui module
 */
define("jquery/ui/tabs", [
    "jquery/ui/widgets/tabs",
    "ep"
], function (jQuery, ep) {
    jQuery.widget( "ui.tabs", jQuery.ui.tabs, {
        _isLocal: ( function() {
            if (ep && ep.config !== undefined && ep.config.debugLevel !== undefined && ep.config.debugLevel === 2) {
                console.warn("[OVERWRITTEN] $.ui.tabs._isLocal is overwritten by epages (See JQuery/Data/Public/lib/jquery/ui/tabs.js)");
            }

            var rhash = /#.*$/,
                that = this;

            return function( anchor ) {
                /*
                 * ePages: BEGIN
                 */
                if (/^#/.test(anchor.getAttribute("href"))) {
                    return true;
                }
                /*
                 * ePages: END
                 */

                var anchorUrl, locationUrl;

                anchorUrl = anchor.href.replace( rhash, "" );
                locationUrl = location.href.replace( rhash, "" );

                // Decoding may throw an error if the URL isn't UTF-8 (#9518)
                try {
                    anchorUrl = decodeURIComponent( anchorUrl );
                } catch ( error ) {}
                try {
                    locationUrl = decodeURIComponent( locationUrl );
                } catch ( error ) {}
                return anchor.hash.length > 1 && anchorUrl === locationUrl;
            };
        } )()
    });

    return jQuery;
});
